{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle title %}

{% block pageActions %}
    {{ macro.backButton('user_index') }}
{% endblock %}

{% block pageForm %}
    {{ form_start(form) }}

    {{ form_row(form.gender) }}
    {{ form_row(form.firstName) }}
    {{ form_row(form.lastName) }}
    {{ form_row(form.email) }}
    {{ form_row(form.phone) }}


    <div class="d-flex flex-column mb-3">
        <span>{{ form_label(form.username) }}</span>
        <div class="form-control d-flex align-items-center ps-0 borderless">
            <span class="w-50">{{ form_widget(form.username) }}</span>
            <b class="text-ls-dark ms-2">@{{ suffix }}</b>
        </div>
    </div>

    <div class="d-flex flex-column col-6 mb-3">
        <label for="role" class="form-label fw-bold">Rôle</label>
        <div style="display: flex; gap: 20px; ">
            <input type="text" class="form-control" value="{{ user.role.prettyName }}" readonly disabled>
            {% if user.role.name == 'Actor' and is_granted('ROLE_MANAGE_USERS') %}
                <button  data-bs-target="#change-to-deputy" data-bs-toggle="modal"
                        style="flex-shrink: 0"
                        class="btn btn-danger"
                        type="button">
                    Changer le rôle en suppléant
                </button>



            {% endif %}
        </div>
    </div>

    {% if user.role.name is same as "Secretary" %}
        {{ form_row(form.authorizedTypes) }}
        {{ form_row(form.isActive) }}
        {{ form_row(form.initPassword) }}
        <div class="d-none" id="passwordGroup">
            {{ form_row(form.plainPassword) }}
        </div>

    {% elseif user.role.name is same as"Admin" %}
        {% if app.user != user %}
            {{ form_row(form.isActive) }}
        {% endif %}


    {% elseif user.role.name is same as "Actor" %}
        {{ form_row(form.party) }}
        {{ form_row(form.locality) }}
        {{ form_row(form.title) }}
        {{ form_row(form.deputy) }}
        {{ form_row(form.isActive) }}

        {{ form_row(form.initPassword) }}
        <div class="d-none" id="passwordGroup">
            {{ form_row(form.plainPassword) }}
        </div>

    {% elseif user.role.name is same as "Deputy" %}

        <div class="d-flex flex-column col-6 mb-3">
            {{ form_row(form.titular) }}
        </div>


        {{ form_row(form.isActive) }}
        {{ form_row(form.initPassword) }}
        <div class="d-none" id="passwordGroup">
            {{ form_row(form.plainPassword) }}
        </div>

    {% elseif user.role.name is same as "Guest" or user.role.name is same as "Employee" %}
        {{ form_row(form.isActive) }}
        {{ form_row(form.initPassword) }}
        <div class="d-none" id="passwordGroup">
            {{ form_row(form.plainPassword) }}
        </div>
    {% endif %}


    <div class="float-end">
        {% block pageSaveReturn %}
            {{ macro.save('user_index') }}
        {% endblock %}
    </div>
    {{ form_end(form) }}

    &nbsp;
    <div class="mt-5">
        Invalider les connexions de consultation de séance

        {{ macro.button_open_modal_post(
            user.id,
            'Invalider la connexion',
            'Voulez-vous détruire toutes les sessions de connexion de cet élu ?',
            'jwt_invalidate',
            'fas fa-sign-out-alt fa-lg',
            'déconnecter'
        ) }}
    </div>





    <div id="change-to-deputy" class="modal fade" role="dialog" data-bs-backdrop="static">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header d-flex align-items-start">
                    <h4 class="modal-title">
                        Changer le rôle en suppléant
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>                </div>
                <div class="modal-body">
                    Attention, le changement du rôle d’un utilisateur en suppléant est un processus <b>irréversible</b>. <br>
                    L’objectif est de pouvoir transformer un suppléant créé en tant qu'élu avant la création du rôle de suppléant.
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-link" data-bs-dismiss="modal" title="">
                        <span class="fa fa-times"></span>
                        Annuler
                    </button>

                    <form method="post" action="{{ path('user_change_role', {id: user.id}) }}" style="display: inline-block">
                        <input type="hidden">
                        <button type="submit" class="btn btn-danger submit_post">
                            Confirmer
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>




{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('enable-select2') }}
    {{ encore_entry_script_tags('showPasswordEntropy') }}
    {{ encore_entry_script_tags('initPassword') }}
    {{ encore_entry_script_tags('setPasswordUser') }}
{% endblock %}
